com.fasterxml.jackson.databind.ser

## Class FilterProvider

- java.lang.Object
- - com.fasterxml.jackson.databind.ser.FilterProvider

Direct Known Subclasses:
  SimpleFilterProvider

    public abstract class FilterProvider
    extends Object

Interface for objects that providers instances of `BeanPropertyFilter` that match given ids. A provider is configured to be used during serialization, to find filter to used based on id specified by `JsonFilter` annotation on bean class.

### Constructor Summary

Constructors
Constructor and Description
`FilterProvider()`

### Method Summary

Methods
`abstract BeanPropertyFilter` `findFilter(Object filterId)` Lookup method used to find `BeanPropertyFilter` that has specified id.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilterProvider

    public FilterProvider()

### Method Detail

#### findFilter

    public abstract BeanPropertyFilter findFilter(Object filterId)

Lookup method used to find `BeanPropertyFilter` that has specified id. Note that id is typically a `String`, but is not necessarily limited to that; that is, while standard components use String, custom implementation can choose other kinds of keys.

Returns:
  Filter registered with specified id, if one defined; null if none found.